// @ts-check
import { defineConfig } from "astro/config";
// import fulldev from "fulldev-ui/integration";
import UnoCSS from "unocss/astro";
import mdx from "@astrojs/mdx";
import cloudflare from "@astrojs/cloudflare";
// import { createRequire } from "node:module";

// const require = createRequire(import.meta.url);

// https://astro.build/config
export default defineConfig({
  // pre-render by default; opt-in to dynamic SSR:
  output: "server",

  adapter: cloudflare(),

  integrations: [
    mdx(),
    UnoCSS({
      injectReset: "@unocss/reset/normalize.css",
    }),
    // fulldev({
    //   // css: '/src/css/custom.css',
    //   colors: {
    //     theme: "dark",
    //     dark: {
    //       background: "#111110",
    //       base: "#3E63DD",
    //       brand: "#359",
    //     },
    //     light: {
    //       background: "#EEEEEC",
    //       base: "#6F6D66",
    //       brand: "#3E63DD",
    //     },
    //   },
    // }),
  ],

  vite: {
    resolve: {
      alias: {
        fs: "node:fs",
        // fs: require.resolve("rollup-plugin-node-builtins"),
        // http: require.resolve('rollup-plugin-node-builtins'),
        // util: require.resolve('rollup-plugin-node-builtins'),
        // stream: require.resolve('rollup-plugin-node-builtins'),
        // buffer: require.resolve('rollup-plugin-node-builtins'),
        // process: require.resolve('rollup-plugin-node-builtins'),
        // url: require.resolve('rollup-plugin-node-builtins'),
        // querystring: require.resolve('rollup-plugin-node-builtins'),
      },
    },
  },
});
